package com.hai.entity;

import com.hai.model.HighDiscountUserRelModel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * high_discount_user_rel
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighDiscountUserRel extends HighDiscountUserRelModel implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 优惠券发放公司
     */
    private Long discountCompanyId;

    /**
     * 优惠券平台  平台类型    1: 嗨森逛   2：惠支付
     */
    private Integer discountPlatform;

    /**
     * 优惠券id
     */
    private Long discountId;

    /**
     * 优惠券名称
     */
    private String discountName;

    /**
     * 优惠券图片
     */
    private String discountImg;

    /**
     * 使用归属
     */
    private Integer discountUsingRange;

    /**
     * 使用范围  1. 全场  2.卡券   3.话费
     */
    private Integer discountUseScope;

    /**
     * 卡卷类型  1：满减  2：抵扣   3：折扣
     */
    private Integer discountType;

    /**
     * 优惠券条件(满减价格)
     */
    private BigDecimal discountCondition;

    /**
     * 优惠券价格
     */
    private BigDecimal discountPrice;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 优惠券和代理商关系id
     */
    private Long discountAgentCodeId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 状态  0:已过期  1：未使用  2：已使用    100：删除
     */
    private Integer status;

    /**
     * 使用时间
     */
    private Date useTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 使用截止时间
     */
    private Date useEndTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDiscountCompanyId() {
        return discountCompanyId;
    }

    public void setDiscountCompanyId(Long discountCompanyId) {
        this.discountCompanyId = discountCompanyId;
    }

    public Integer getDiscountPlatform() {
        return discountPlatform;
    }

    public void setDiscountPlatform(Integer discountPlatform) {
        this.discountPlatform = discountPlatform;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public String getDiscountImg() {
        return discountImg;
    }

    public void setDiscountImg(String discountImg) {
        this.discountImg = discountImg;
    }

    public Integer getDiscountUsingRange() {
        return discountUsingRange;
    }

    public void setDiscountUsingRange(Integer discountUsingRange) {
        this.discountUsingRange = discountUsingRange;
    }

    public Integer getDiscountUseScope() {
        return discountUseScope;
    }

    public void setDiscountUseScope(Integer discountUseScope) {
        this.discountUseScope = discountUseScope;
    }

    public Integer getDiscountType() {
        return discountType;
    }

    public void setDiscountType(Integer discountType) {
        this.discountType = discountType;
    }

    public BigDecimal getDiscountCondition() {
        return discountCondition;
    }

    public void setDiscountCondition(BigDecimal discountCondition) {
        this.discountCondition = discountCondition;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getDiscountAgentCodeId() {
        return discountAgentCodeId;
    }

    public void setDiscountAgentCodeId(Long discountAgentCodeId) {
        this.discountAgentCodeId = discountAgentCodeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getUseTime() {
        return useTime;
    }

    public void setUseTime(Date useTime) {
        this.useTime = useTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUseEndTime() {
        return useEndTime;
    }

    public void setUseEndTime(Date useEndTime) {
        this.useEndTime = useEndTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighDiscountUserRel other = (HighDiscountUserRel) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDiscountCompanyId() == null ? other.getDiscountCompanyId() == null : this.getDiscountCompanyId().equals(other.getDiscountCompanyId()))
            && (this.getDiscountPlatform() == null ? other.getDiscountPlatform() == null : this.getDiscountPlatform().equals(other.getDiscountPlatform()))
            && (this.getDiscountId() == null ? other.getDiscountId() == null : this.getDiscountId().equals(other.getDiscountId()))
            && (this.getDiscountName() == null ? other.getDiscountName() == null : this.getDiscountName().equals(other.getDiscountName()))
            && (this.getDiscountImg() == null ? other.getDiscountImg() == null : this.getDiscountImg().equals(other.getDiscountImg()))
            && (this.getDiscountUsingRange() == null ? other.getDiscountUsingRange() == null : this.getDiscountUsingRange().equals(other.getDiscountUsingRange()))
            && (this.getDiscountUseScope() == null ? other.getDiscountUseScope() == null : this.getDiscountUseScope().equals(other.getDiscountUseScope()))
            && (this.getDiscountType() == null ? other.getDiscountType() == null : this.getDiscountType().equals(other.getDiscountType()))
            && (this.getDiscountCondition() == null ? other.getDiscountCondition() == null : this.getDiscountCondition().equals(other.getDiscountCondition()))
            && (this.getDiscountPrice() == null ? other.getDiscountPrice() == null : this.getDiscountPrice().equals(other.getDiscountPrice()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getDiscountAgentCodeId() == null ? other.getDiscountAgentCodeId() == null : this.getDiscountAgentCodeId().equals(other.getDiscountAgentCodeId()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getUseTime() == null ? other.getUseTime() == null : this.getUseTime().equals(other.getUseTime()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUseEndTime() == null ? other.getUseEndTime() == null : this.getUseEndTime().equals(other.getUseEndTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDiscountCompanyId() == null) ? 0 : getDiscountCompanyId().hashCode());
        result = prime * result + ((getDiscountPlatform() == null) ? 0 : getDiscountPlatform().hashCode());
        result = prime * result + ((getDiscountId() == null) ? 0 : getDiscountId().hashCode());
        result = prime * result + ((getDiscountName() == null) ? 0 : getDiscountName().hashCode());
        result = prime * result + ((getDiscountImg() == null) ? 0 : getDiscountImg().hashCode());
        result = prime * result + ((getDiscountUsingRange() == null) ? 0 : getDiscountUsingRange().hashCode());
        result = prime * result + ((getDiscountUseScope() == null) ? 0 : getDiscountUseScope().hashCode());
        result = prime * result + ((getDiscountType() == null) ? 0 : getDiscountType().hashCode());
        result = prime * result + ((getDiscountCondition() == null) ? 0 : getDiscountCondition().hashCode());
        result = prime * result + ((getDiscountPrice() == null) ? 0 : getDiscountPrice().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getDiscountAgentCodeId() == null) ? 0 : getDiscountAgentCodeId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getUseTime() == null) ? 0 : getUseTime().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUseEndTime() == null) ? 0 : getUseEndTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", discountCompanyId=").append(discountCompanyId);
        sb.append(", discountPlatform=").append(discountPlatform);
        sb.append(", discountId=").append(discountId);
        sb.append(", discountName=").append(discountName);
        sb.append(", discountImg=").append(discountImg);
        sb.append(", discountUsingRange=").append(discountUsingRange);
        sb.append(", discountUseScope=").append(discountUseScope);
        sb.append(", discountType=").append(discountType);
        sb.append(", discountCondition=").append(discountCondition);
        sb.append(", discountPrice=").append(discountPrice);
        sb.append(", agentId=").append(agentId);
        sb.append(", discountAgentCodeId=").append(discountAgentCodeId);
        sb.append(", userId=").append(userId);
        sb.append(", status=").append(status);
        sb.append(", useTime=").append(useTime);
        sb.append(", createTime=").append(createTime);
        sb.append(", useEndTime=").append(useEndTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
